# hx509 crypto functions

## Functions

int | hx509_verify_signature (hx509_context context, const hx509_cert signer, const AlgorithmIdentifier *alg, const heim_octet_string *data, const heim_octet_string *sig)

## Detailed Description

## Function Documentation

int hx509_verify_signature | ( | hx509_context | context,
|  | const hx509_cert | signer,
|  | const AlgorithmIdentifier * | alg,
|  | const heim_octet_string * | data,
|  | const heim_octet_string * | sig |
| ) |  |  |

Verify a signature made using the private key of an certificate.

Parameters:

  | context | A hx509 context.
  | signer | the certificate that made the signature.
  | alg | algorthm that was used to sign the data.
  | data | the data that was signed.
  | sig | the sigature to verify.

Returns:
  An hx509 error code, see hx509_get_error_string().